# Unit strings

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Include->`Strings` - String Manipulation.

## Uses

- util
- lmemorymanager

## Overview

### Functions and Procedures

`function stringToUpper(str : pchar) : pchar;`
`function stringToLower(str : pchar) : pchar;`
`function stringEquals(str1, str2 : pchar) : boolean;`
`function stringCopy(str : pchar) : pchar;`
`function stringNew(size : uint32) : pchar;`
`function stringSize(str : pchar) : uint32;`
`function stringConcat(str1, str2 : pchar) : pchar;`
`function stringContains(str : pchar; sub : pchar) : boolean;`
`function stringToInt(str : pchar) : uint32;`
`function hexStringToInt(str : pchar) : uint32;`
`function intToString(i : uint32) : pchar;`
`function boolToString(b : boolean; ext : boolean) : pchar;`

## Description

### Functions and Procedures

`function stringToUpper(str : pchar) : pchar;`

`function stringToLower(str : pchar) : pchar;`

`function stringEquals(str1, str2 : pchar) : boolean;`

`function stringCopy(str : pchar) : pchar;`

`function stringNew(size : uint32) : pchar;`

`function stringSize(str : pchar) : uint32;`

`function stringConcat(str1, str2 : pchar) : pchar;`

`function stringContains(str : pchar; sub : pchar) : boolean;`

`function stringToInt(str : pchar) : uint32;`

`function hexStringToInt(str : pchar) : uint32;`

`function intToString(i : uint32) : pchar;`

`function boolToString(b : boolean; ext : boolean) : pchar;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.